.TH wxKeyEvent 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxKeyEvent \- See external documentation: wxKeyEvent\&.
.SH DESCRIPTION
.LP
See external documentation: wxKeyEvent <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxkeyevent\&.html>\&. 
.RS 2
.TP 4
.B
Use wxEvtHandler:connect/3 with EventType::
\fIchar\fR, \fIchar_hook\fR, \fIkey_down\fR, \fIkey_up\fR
.RE
.LP
See also the message variant #wxKey{} event record type\&.
.LP
This class is derived (and can use functions) from: 
.br
wxEvent 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxKeyEvent()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
altDown(This::wxKeyEvent()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxkeyevent\&.html#wxkeyeventaltdown>\&.
.RE
.LP
.B
cmdDown(This::wxKeyEvent()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxkeyevent\&.html#wxkeyeventcmddown>\&.
.RE
.LP
.B
controlDown(This::wxKeyEvent()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxkeyevent\&.html#wxkeyeventcontroldown>\&.
.RE
.LP
.B
getKeyCode(This::wxKeyEvent()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxkeyevent\&.html#wxkeyeventgetkeycode>\&.
.RE
.LP
.B
getModifiers(This::wxKeyEvent()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxkeyevent\&.html#wxkeyeventgetmodifiers>\&.
.RE
.LP
.B
getPosition(This::wxKeyEvent()) -> {X::integer(), Y::integer()}
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxkeyevent\&.html#wxkeyeventgetposition>\&.
.RE
.LP
.B
getRawKeyCode(This::wxKeyEvent()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxkeyevent\&.html#wxkeyeventgetrawkeycode>\&.
.RE
.LP
.B
getRawKeyFlags(This::wxKeyEvent()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxkeyevent\&.html#wxkeyeventgetrawkeyflags>\&.
.RE
.LP
.B
getUnicodeKey(This::wxKeyEvent()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxkeyevent\&.html#wxkeyeventgetunicodekey>\&.
.RE
.LP
.B
getX(This::wxKeyEvent()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxkeyevent\&.html#wxkeyeventgetx>\&.
.RE
.LP
.B
getY(This::wxKeyEvent()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxkeyevent\&.html#wxkeyeventgety>\&.
.RE
.LP
.B
hasModifiers(This::wxKeyEvent()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxkeyevent\&.html#wxkeyeventhasmodifiers>\&.
.RE
.LP
.B
metaDown(This::wxKeyEvent()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxkeyevent\&.html#wxkeyeventmetadown>\&.
.RE
.LP
.B
shiftDown(This::wxKeyEvent()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxkeyevent\&.html#wxkeyeventshiftdown>\&.
.RE
